Bug 45404 - pcnet32 incorrectly initializes integrated AMD lan interface
Summary: pcnet32 incorrectly initializes integrated AMD lan interface
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i586 Linux
medium
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-21 18:19 UTC by Martin Kuetzing
Modified: 2007-04-18 16:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-26 01:00:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Martin Kuetzing 2001-06-21 18:19:10 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT)

Description of problem:
On several HP Vectra models with an itegrated AMD LAN interface, the 
pcnet32 driver incorrectly initializes the interface - so, the interface 
is unusable.  Web searches on pcnet32 or pcnet32.c indicate that this 
problem and others exist with the "pcnet32.c:v1.25kf 26.9.1999 
tsbogend@alpha.franken.de" version of this driver.


How reproducible:
Always

Steps to Reproduce:
1.Any HP Vectra XU 90, 90c, 120, 133, 233 with AMD Integrated LAN.
2.Install RH 7.1.
3.Review dmesg - observe error shown below for pcnet32. eth0 unavailable.
	

Actual Results:  The install of RH 7.1 (2.4.2-2) can be successfully 
completed - except that the integrated AMD LAN interface is unavailable 
(see Vectra models above).

Additional info:

here is a segement from the dmesg on one of the Vectra models listed above:

pcnet32_probe_pci: found device 0x001022.0x002000
ioaddr=0x00ffe0  resource_flags=0x000101
PCI: Setting latency timer of device 00:03.0 to 64
eth0: PCnet/PCI 79C970 at 0xffe0, 
warning: PROM address does not match CSR address 00 00 00 00 00 00
pcnet32: pcnet32_private lp=c6953000 lp_dma_addr=0x6953000 assigned IRQ 9.
pcnet32.c:v1.25kf 26.9.1999 tsbogend@alpha.franken.de

Comment 1 Arjan van de Ven 2001-06-25 17:29:54 UTC
This is supposed to be fixed in the 2.4.3-12 errata kernel that was released
last friday. Could you try this updated kernel ?

Comment 2 Martin Kuetzing 2001-06-26 01:00:34 UTC
The RedHat 2.4.3-12 errata kernel rpm when downloaded and installed fully 
corrects this problem.  Thank you.

For comparative purposes, here is a segment from dmesg with the 2.4.3-12 
kernel.  Note that the revision displayed is the same as the revision for the 
non-working driver.  Perhaps this should be corrected to avoid confusion:

pcnet32_probe_pci: found device 0x001022.0x002000
PCI: Setting latency timer of device 00:03.0 to 64
    ioaddr=0x00ffe0  resource_flags=0x000101
eth%d: PCnet/PCI 79C970 at 0xffe0, 08 00 09 6e 04 cc
pcnet32: pcnet32_private lp=c65c0000 lp_dma_addr=0x65c0000 assigned IRQ 9.
pcnet32.c:v1.25kf 26.9.1999 tsbogend@alpha.franken.de



Note You need to log in before you can comment on or make changes to this bug.